### Method

# Gtk BoxLayout set_baseline_position

#### Declaration [src]

    void
    gtk_box_layout_set_baseline_position (
      GtkBoxLayout* box_layout,
      GtkBaselinePosition position
    )

#### Description [src]

Sets the baseline position of a box layout.

The baseline position affects only horizontal boxes with at least one baseline aligned child. If there is more vertical space available than requested, and the baseline is not allocated by the parent then the given `position` is used to allocate the baseline within the extra space available.

Sets property | `Gtk.BoxLayout:baseline-position`

#### Parameters

`position` | `GtkBaselinePosition`
| A `GtkBaselinePosition`.